package com.jihengbel.intelligent.applicationtask.service.impl;

import com.jihengbel.intelligent.applicationtask.entry.FirstCalendar;
import com.jihengbel.intelligent.applicationtask.entry.FirstTask;
import com.jihengbel.intelligent.applicationtask.model.FirstTaskMapper;
import com.jihengbel.intelligent.applicationtask.service.FirstTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class FirstTaskServiceImp implements FirstTaskService {

    @Autowired
    FirstTaskMapper mapper;

    /**
     * 获取对应的规则
     * @param paarm
     * @return
     */
    public List<FirstCalendar> getCalenderFirstForType(Map<String,Object> param){
      return  mapper.getCalenderFirstForType(param);
    }

    /**
     * 添加当天任务
     *
     * @param task
     * @return
     */
    public int insertFirstTask(FirstTask task){
        return  mapper.insertFirstTask(task);
    }




}
